Subject: Re: [PATCH v2 3/3] glossary: add reachability bitmap description

From: Derrick Stolee <[email-masked]>
Date: Tue, 25 Oct 2022 08:34:52 -0400

On 10/24/2022 5:23 PM, Philip Oakley wrote:
> On 24/10/2022 17:39, Junio C Hamano wrote:
>> Abhradeep Chakraborty <[email-masked]> writes:
>>
>>> Small correction here - A repository may have multiple bitmaps (one
>>> for each selected commit from the preferred packfile or a
>>> multi-pack-index) but it can have only one ".bitmap" file (as of now).
>>> Bitmaps for the selected commits are stored in that ".bitmap" file.
>>> So I think the below lines (or similar) will work  -
>>>
>>>     The bitmaps are stored in a ".bitmap" file. A repository may have
>>>     at most one ".bitmap" file. The file may belong to either one pack, or the
>>>     repository's multi-pack-index (if it exists).
>>>
>>> Feel free to rephrase it accordingly.
>> Sounds good to me.  Or Philip's original can be tweaked minimally to
>> say "... may have at most one bitmap file (which stores multiple
>> bitmaps)".
>>
> Thanks both. I'll tweak the description in a day or so to allow Stolee
> to comment if required.

I added my comments about the commit-graph file, and agree with
Abhradeep's suggestions here.

Adding Taylor as a possible reviewer, too.

The one thing I will say is that there can be multiple .bitmap
files, but Git will only use one of them. Not sure if that is
worth being pedantic about here, though.

We'll need to keep this glossary section in mind in case things
change (such as "at most one bitmap file").

Thanks,
-Stolee